Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class SimpleSymbolListFactory

    java.lang.Object
      org.biojava.bio.symbol.SimpleSymbolListFactory

All Implemented Interfaces:
  SymbolListFactory

    public class SimpleSymbolListFactory

extends Object
implements SymbolListFactory

This class makes SimpleSymbolLists. It could be refactored into the SimpleSymbolList class eventually.

Author:
  David Huen

Constructor Summary
`SimpleSymbolListFactory()`

Method Summary
`SymbolList` | `makeSymbolList(Symbol[] symbolArray, int size, Alphabet alfa)` Create a factory for SimpleSymbolLists.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSymbolListFactory

    public SimpleSymbolListFactory()

Method Detail

### makeSymbolList

    public SymbolList makeSymbolList(Symbol[] symbolArray,
                                     int size,
                                     Alphabet alfa)
                              throws IllegalAlphabetException

  Create a factory for SimpleSymbolLists.

  Specified by:
    `makeSymbolList` in interface `SymbolListFactory`
  Throws:
    `IllegalAlphabetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD